Skip to main content
GET
/
status
Fetch status for swap or bridge transaction(s)
curl --request GET \
  --url https://api.dzap.io/v1/status
{
  "42161-0x4afecedbed3b35d8e3ab88aeca30166e20d09f0a5459512f0b10c4198225ab03": {
    "42161_0xaf88d065e77c8cC2239327C5EDb3A432268e5831-137_0x0000000000000000000000000000000000000000": {
      "srcChainId": 42161,
      "srcToken": "0xaf88d065e77c8cC2239327C5EDb3A432268e5831",
      "srcAmount": "2000000",
      "srcAmountUSD": "1.99963",
      "srcTxHash": "0x4afecedbed3b35d8e3ab88aeca30166e20d09f0a5459512f0b10c4198225ab03",
      "destChainId": 137,
      "destToken": "0x0000000000000000000000000000000000000000",
      "destAmount": "3828561316214991485",
      "destAmountUSD": "1.99569",
      "destTxHash": "0xcb891ed63cf151cfdb51cd9c8efbbbe9bff0cb7e87be6e191e6125ef9c6ce8a1",
      "account": "0x545d9a8649A092ce25d469591B638057C4DF3385",
      "recipient": "0x545d9a8649A092ce25d469591B638057C4DF3385",
      "provider": "router",
      "allowUserTxOnDestChain": true,
      "status": "COMPLETED"
    }
  }
}

Query Parameters

txHash
string

Transaction hash (used with chainId for single tx lookup)

chainId
integer

Source chain ID (used with txHash for single tx lookup)

txIds
string

Comma-separated list of srcChainId-txHash (e.g., 10-0xabc...,42161-0xdef...)

Response

Successfully fetched status

Response format when querying with txIds parameter - groups transactions by their ID

{key}
object

Transaction group keyed by 'chainId-txHash' format, containing status data for each bridge/swap pair